API Reference
Get server configuration
Get server configuration
GET /api/server/config
Get server configuration
Operation ID: getServerConfig
Authentication
Option 1
- BearerAuth (
http bearer) API key token. Create via POST /api/api-keys. Format:envoy_<hex>
Option 2
- CookieAuth (
apiKey) Session cookie set after login + TOTP verification
Success responses
200
Server configuration
Content type: application/json
- Type:
object - Properties:
executor(object)- Properties:
type(string)- Allowed values:
local,http
- Allowed values:
callback_url(string | null)- Nullable: yes
- Properties:
runs(object)- Properties:
max_concurrent(integer)
- Properties:
connectors(object)- Properties:
upload_max_bytes(integer) — Server-wide connector file upload limit in bytes.
- Properties:
tasks_dir(string)jobs_dir(string)
Examples
cURL
curl --request GET \
--url 'https://your-envoy.example.com/api/server/config' \
--header 'Authorization: Bearer $API_KEY'JavaScript (fetch)
const response = await fetch('https://your-envoy.example.com/api/server/config', {
method: 'GET',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
},
});
if (!response.ok) throw new Error(`Request failed: ${response.status}`);
const data = response.status === 204 ? null : await response.json();
console.log(data);